
/*
 * sentryc.h 
 */
#ifndef _SENTRYC_H_
#define _SENTRYC_H_

#include "sentry.h"

#ifndef SIGPOLL
#define SIGPOLL         SIGIO
#endif

#ifndef MAX
#define MAX(x,y)        ((x)>(y) ? (x) : (y))
#endif

/*
 * functions
 */
/* sentryc.c */


/* shm.c */
int     dump_shm_content;
void dump_shm_(char *path);
/*
 * sentryc -- default configuration parameter
 */

/* sentry protocol parameter */
u_char  client_type = OPEN_UDP_UNICAST;
int     server_size = SIZE_212x160;
int     server_zoom = SIZE_212x160;
int     server_color = FULL_COLOR;
int     server_format = ENCODE_JPEG;
int     server_rate = 10;
int     server_port = SENTRY_CTRL_PORT;
int     hivision_flag = 0;
int     voffset = -1;

/* sentryc parameter */
#ifndef REQUEST_INTERVAL 
#define REQUEST_INTERVAL        (5)
#endif
int     request_interval = REQUEST_INTERVAL;

#define SHM_SIZE        (50)
int     shm_size = SHM_SIZE;
#define LOCKFILE        "/tmp/sentryc.pid"

int     save_type = ENCODE_JPEG;        /* save with JPEG format */

#define WAIT_TIME       (3)
int     wait_time = WAIT_TIME;

#define RATEVIEW_INTERVAL 1500
int     rateview_interval = RATEVIEW_INTERVAL;


/* global variable */
extern  int debug;
extern  int verbose;
extern  int errno;

#endif /* !_SENTRYC_H_ */
